#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libogg-1.3.5

- Next

  libsamplerate-0.2.2

- Up
- Home

# libplacebo-7.349.0

## Introduction to libplacebo

The libplacebo package contains a library for processing image and video primitives and shaders. It also includes a high quality rendering pipeline that supports OpenGL and Vulkan.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/haasn/libplacebo/archive/v7.349.0/libplacebo-7.349.0.tar.gz

- Download MD5 sum: 8dd72edf2ec5f1918770a317ef8107a5

- Download size: 828 KB

- Estimated disk space required: 36 MB

- Estimated build time: 0.1 SBU (With tests, both using parallelism=4)

### libplacebo Dependencies

#### Required

FFmpeg-7.1 and Glad-2.0.8

#### Recommended

Glslang-15.1.0 and Vulkan-Loader-1.4.304

#### Optional

Little CMS-2.17 libunwind-1.8.1, dovi_tool, Nuklear, and xxHash

## Installation of libplacebo

First, fix a build failure that occurs with glslang-15.0.0:

    sed -e "20s/$/,/"                                         \
        -e "21i cxx.find_library('glslang', required: false)" \
        -i src/glsl/meson.build

Install libplacebo by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D tests=true       \
          -D demos=false      &&
    ninja

To test the results, issue: ninja test. One test, opengl_surfaceless.c, is known to fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D demos=false`: This switch disables building the demo programs because building plplay is currently broken.

`-D tests=true`: This switch enables building the code necessary to run the tests.

## Contents

Installed Programs: None
Installed Libraries: libplacebo.so
Installed Directories: /usr/include/libplacebo

### Short Descriptions

`libplacebo.so` | processes image and video primitives and shaders and provides a high quality rendering pipeline for OpenGL and Vulkan

- Prev

  libogg-1.3.5

- Next

  libsamplerate-0.2.2

- Up
- Home